function plotTwotanks(U,aU,X,Y,p,nSteps,deltaTime)
 
fs = 20; % Set font size
lw = 2;  % Set line width 

figure;
%% Plot input variables
subplot(3,2,1); hold on
    stairs(deltaTime*(1:nSteps-1), aU(1,1:end-1), 'r','Linewidth',lw)
    stairs(deltaTime*(1:nSteps-1), U(1,1:end-1), '--k','Linewidth',lw/2)
    xlabel('Time, t')
    ylabel('q_1(t)')
    ylim([0,max(eps,1.1*max(U(1,:)))])
    legend('Applied','Requested','Location','SouthEast')
    set(gca,'FontSize',fs); hold off
subplot(3,2,3); hold on
    stairs(deltaTime*(1:nSteps-1),aU(2,1:end-1),'r','Linewidth',lw)
    stairs(deltaTime*(1:nSteps-1),U(2,1:end-1),'--k','Linewidth',lw/2)
    xlabel('Time, t')
    ylabel('q_2(t)')
    ylim([0,max(eps,1.1*max(U(2,:)))])
    legend('Applied','Requested','Location','SouthEast')
    set(gca,'FontSize',fs); hold off

%% Plot state variables    
subplot(3,2,2); hold on
    stairs(deltaTime*(1:nSteps-1),X(1,1:end-1),'b','Linewidth',lw)    
    xlabel('Time, t')
    ylabel('V_1(t)')
    ylim([0,max(eps,1.1*max(X(1,:)))])
    set(gca,'FontSize',fs); hold off
subplot(3,2,4); hold on
    stairs(deltaTime*(1:nSteps-1),X(2,1:end-1),'b','Linewidth',lw)
    xlabel('Time, t')
    ylabel('V_2(t)')
    ylim([0,max(eps,1.1*max(X(2,:)))])
    set(gca,'FontSize',fs); hold off
    
%% Plot output variables and other stuff
subplot(3,2,6); hold on
    stairs(deltaTime*(1:nSteps-1),Y(1:end-1),'k','Linewidth',lw)
    xlabel('Time, t')
    ylabel('d(t) = h_2(t) - h_1(t)')
    set(gca,'FontSize',fs); hold off
    
subplot(3,2,5); hold on    
    stairs(deltaTime*(1:nSteps-1),X(2,1:end-1)/p(2),'k','Linewidth',lw)
    xlabel('Time, t')
    ylabel('q_3(t)')
    ylim([0,Inf])
    set(gca,'FontSize',fs); hold off    
    
end